Skip to main content

Children APIs

This API returns you the address and location of the child points of a point.

Base URL

The base URL for all API requests is:

https://mapapis.ndamaps.vn/v1

Endpoint

GET /place/children

Example

Request:

/place/children?parent_id=sCCOPkcjbElM1xGeOCRaRky9L5bScJS1zSRyONLIpaE9PeES0txFeGDhFD0g&apikey=YOUR_API_KEY

Applicable objects:

Use for locations where the data returned from the GET /autocomplete api contains the key "has_child": true.

Example :

/autocomplete?text=Bến Xe Mỹ Đình&size=1&boundary.circle.lat=21.300&boundary.circle.lon=105.900&boundary.circle.radius=100&apikey=YOUR_API_KEY

Response:

{
"bbox": [105.76603, 21.018379, 105.790874, 21.038711000000003],
"errors": null,
"features": [
{
"geometry": {
"coordinates": [105.778269, 21.02843],
"type": "Point"
},
"properties": {
"category": ["bus_stop"],
"continent": "Asia",
"country": "Việt Nam",
"country_code": "VN",
"county": "quận Nam Từ Liêm",
"distance": 32729,
"has_child": true,
"housenumber": null,
"id": "sCCOPkcjbElM1xGeOCRaRky9L5bScJS1zSRyONLIpaE9PeES0txFeGDhFD0g",
"label": "Bến Xe Mỹ Đình, Mỹ Đình, phường Mỹ Đình 2, quận Nam Từ Liêm, thành phố Hà Nội",
"locality": "phường Mỹ Đình 2",
"name": "Bến Xe Mỹ Đình",
"opening_hours": null,
"opening_hours_v2": null,
"phone": null,
"postalcode": null,
"region": "thành phố Hà Nội",
"short_address": "Mỹ Đình",
"sid": "c5ef313f2234770f",
"source": "ndamapvn",
"street": null,
"website": null
},
"type": "Feature"
}
],
"type": "FeatureCollection"
}

Request params

ParamDescriptionExample
parent_idId string of parent point (Required)sCCOPkcjbElM1xGeOCRaRky9L5bScJS1zSRyONLIpaE9PeES0txFeGDhFD0g
admin_v2Return information about new locations after administrative boundary consolidationtrue

Response:

{
"predictions": [
{
"description": "Cổng Nguyễn Hoàng, phường Mỹ Đình 2, quận Nam Từ Liêm, thành phố Hà Nội",
"distance_meters": null,
"has_child": false,
"matched_substrings": null,
"place_id": "ea9YYk5TvRHIhlgtXXj-TGA",
"structured_formatting": {
"main_text": "Cổng Nguyễn Hoàng",
"main_text_matched_substrings": null,
"secondary_text": "phường Mỹ Đình 2, quận Nam Từ Liêm, thành phố Hà Nội",
"secondary_text_matched_substrings": null
},
"terms": [
{
"offset": 0,
"value": "Cổng Nguyễn Hoàng"
},
{
"offset": 23,
"value": "phường Mỹ Đình 2"
},
{
"offset": 48,
"value": "quận Nam Từ Liêm"
},
{
"offset": 71,
"value": "thành phố Hà Nội"
}
],
"types": [""]
},
{
"description": "Cổng Nguyễn Hoàng, phường Mỹ Đình 2, quận Nam Từ Liêm, thành phố Hà Nội",
"distance_meters": null,
"has_child": false,
"matched_substrings": null,
"place_id": "ea9YYk5TvRHIhlgtXXj-TGA",
"structured_formatting": {
"main_text": "Cổng Nguyễn Hoàng",
"main_text_matched_substrings": null,
"secondary_text": "phường Mỹ Đình 2, quận Nam Từ Liêm, thành phố Hà Nội",
"secondary_text_matched_substrings": null
},
"terms": [
{
"offset": 0,
"value": "Cổng Nguyễn Hoàng"
},
{
"offset": 23,
"value": "phường Mỹ Đình 2"
},
{
"offset": 48,
"value": "quận Nam Từ Liêm"
},
{
"offset": 71,
"value": "thành phố Hà Nội"
}
],
"types": [""]
},
{
"description": "Điểm đón/trả khách - Phạm Hùng, phường Mỹ Đình 2, quận Nam Từ Liêm, thành phố Hà Nội",
"distance_meters": null,
"has_child": false,
"matched_substrings": null,
"place_id": "JUJ4aLU1RAoljO1REjKZJTA",
"structured_formatting": {
"main_text": "Điểm đón/trả khách - Phạm Hùng",
"main_text_matched_substrings": null,
"secondary_text": "phường Mỹ Đình 2, quận Nam Từ Liêm, thành phố Hà Nội",
"secondary_text_matched_substrings": null
},
"terms": [
{
"offset": 0,
"value": "Điểm đón/trả khách - Phạm Hùng"
},
{
"offset": 42,
"value": "phường Mỹ Đình 2"
},
{
"offset": 67,
"value": "quận Nam Từ Liêm"
},
{
"offset": 90,
"value": "thành phố Hà Nội"
}
],
"types": [""]
}
],
"status": "OK"
}